petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkAddComponent

Adds a network component at the given point (vertex/edge)

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkAddComponent(DM dm, PetscInt p,PetscInt componentkey,void* compvalue)

Not Collective Many br

### Input Parameters

| dm | - The DMNetwork object Many br
| p | - vertex/edge point Many br
| componentkey | - component key returned while registering the component Many br
| compvalue | - pointer to the data structure for the component Many br

Many br

### See Also

DMNetworkGetVertexRange, DMNetworkGetEdgeRange, DMNetworkRegisterComponent

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages